org.apache.xmlbeans.impl.common

## Class LoadSaveUtils

- java.lang.Object
- - org.apache.xmlbeans.impl.common.LoadSaveUtils

    public class LoadSaveUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LoadSaveUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `xmlStreamReader2XmlText(XMLStreamReader xsr, OutputStream os)`
`static Document` `xmlText2GenericDom(InputStream is, Document emptyDoc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoadSaveUtils

    public LoadSaveUtils()

### Method Detail

#### xmlText2GenericDom

    public static Document xmlText2GenericDom(InputStream is,
                                              Document emptyDoc)
                                       throws SAXException,
                                              ParserConfigurationException,
                                              IOException

Throws:
  `SAXException`
  `ParserConfigurationException`
  `IOException`

#### xmlStreamReader2XmlText

    public static void xmlStreamReader2XmlText(XMLStreamReader xsr,
                                               OutputStream os)
                                        throws XMLStreamException

Throws:
  `XMLStreamException`